Title: Backup and Recovery - Juju
Status: In Progress

# Backup and Recovery - Juju

## Introduction

**TODO**

## Scope

**TODO**

## Backup

Juju's working principle is based on storing the state of the cloud in
databases containing information about the environment, machines, services,
and units. Changes to an environment are made to the state first,
then detected by their according agents. Those are responsible to do the
needed steps then.

This principle allows Juju to easily do a *backup* of this information, plus
some needed configuration data and some more useful information. The 
command to do so is `juju-backup`, which saves the currently selected 
environment. Please ensure you switch to the environment you want to 
backup.

```
juju switch my-env
juju backup
```

The command creates two generations of backups on the bootstrap node, also
know as `machine-0`. Beside the state and configuration data about this machine
itself and the others of its environment, the aggregated log for all
machines and the one of this machine itself are saved. The aggregated log
is the same one accessed by calling:

```
juju debug-log
```

This enables you to retrieve helpful information in case of a problem. After
the backup is created on the bootstrap node, it is transferred to your 
working machine into the current directory as `juju-backup-YYYYMMDD-HHMM.tgz`,
where *YYYYMMDD-HHMM* is date and time of the backup. In case you want to open 
the backup manually to access the logging data, you can find it in the 
contained archive `root.tar`. Do not wander here please. This way all owner, 
access rights and other information are preserved.

## Restore

To *restore* an environment, the according command is: 

```
juju restore <BACKUPFILE>
```

This allows you to choose the environment to restore.
