Title: Logging
Status: In Progress

# Logging

Controlling individual logs can be cumbersome even in an environment with only
a few computer systems. It gets worse in typical clouds with a large number of
nodes. Using the centrallized approach of `rsyslogd` helps. It allows you to aggregate
the logging output of all systems in one place. Here, the monitoring and analysis gets
easier.

Ubuntu uses `rsyslogd` as the default logging service. Since it's natively able to send 
logs to a remote location, you don't have to install anything extra to enable this feature. 
Simply modify the configuration file. While doing this, consider running your logging over 
a management network or using an encrypted VPN to avoid interception.
