Title: Scaling - Ceph
Status: In Progress

# Scaling - Ceph

## Introduction

In addition to Ceph providing a safer, higher performing platform as an OpenStack storage backend, the user also benefits with an easier way to scale storage as the need grows.

## Scope

**TODO**

## Scaling

The addition of Ceph nodes is done using the Juju `add-node` command. By default,
it adds only one node, but it's possible to add the number of wanted nodes as
argument. To add one more Ceph OSD Daemon node you simply call:

```
juju add-node ceph-osd
```

Larger numbers of nodes can be added using the `-n` argument, e.g. 5 nodes
with:

```
juju add-node -n 5 ceph-osd
```

**Attention:** Adding more nodes to Ceph leads to a redistribution of data
between the nodes of an image. This can cause inefficiencies during the process. So
it should be done in smaller steps.

