Title: Introduction

#Ubuntu Cloud Documentation

## Deploying Production Grade OpenStack with MAAS, Juju and Landscape

This documentation has been created to describe best practice in deploying
a Production Grade installation of OpenStack using current Canonical 
technologies, including bare metal provisioning using MAAS, service 
orchestration with Juju and system management with Landscape.

This documentation is divided into four main topics:

 1. [Installing the MAAS Metal As A Service software](../installing-maas.html)
 2. [Installing Juju and configuring it to work with MAAS](../installing-juju.html)
 3. [Using Juju to deploy OpenStack](../installing-openstack.html)
 4. [Deploying Landscape to manage your OpenStack cloud](../installing-landscape)
 
Once you have an up and running OpenStack deployment, you should also read
our [Administration Guide](../admin-intro.html) which details common tasks
for maintenance and scaling of your service. 


## Legal notices



![Canonical logo](./media/logo-canonical_no™-aubergine-hex.jpg)
